Add web pages to the knowledge base
curl --request POST \
--url https://api.peachdeskai.com/api/v1/knowledge-base/add-web \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"<string>"
],
"knowledge_base_id": 123,
"retrieval_mode": "chunked"
}
'import requests
url = "https://api.peachdeskai.com/api/v1/knowledge-base/add-web"
payload = {
"urls": ["<string>"],
"knowledge_base_id": 123,
"retrieval_mode": "chunked"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({urls: ['<string>'], knowledge_base_id: 123, retrieval_mode: 'chunked'})
};
fetch('https://api.peachdeskai.com/api/v1/knowledge-base/add-web', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/knowledge-base/add-web",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'urls' => [
'<string>'
],
'knowledge_base_id' => 123,
'retrieval_mode' => 'chunked'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/knowledge-base/add-web"
payload := strings.NewReader("{\n \"urls\": [\n \"<string>\"\n ],\n \"knowledge_base_id\": 123,\n \"retrieval_mode\": \"chunked\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/knowledge-base/add-web")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"urls\": [\n \"<string>\"\n ],\n \"knowledge_base_id\": 123,\n \"retrieval_mode\": \"chunked\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/knowledge-base/add-web")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"urls\": [\n \"<string>\"\n ],\n \"knowledge_base_id\": 123,\n \"retrieval_mode\": \"chunked\"\n}"
response = http.request(request)
puts response.read_body{
"documents": [
{
"id": 123,
"document_uuid": "<string>",
"filename": "<string>",
"file_size_bytes": 123,
"file_hash": "<string>",
"mime_type": "<string>",
"processing_status": "<string>",
"total_chunks": 123,
"custom_metadata": {},
"docling_metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"organization_id": 123,
"created_by": 123,
"is_active": true,
"processing_error": "<string>",
"retrieval_mode": "chunked",
"source_url": "<string>",
"source_type": "uploaded_file",
"knowledge_base_id": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Add web pages to the knowledge base
Create a document per URL and enqueue fetch + extract + embedding.
Each URL is fetched and reduced to text by a background task — no S3 upload.
POST
/
api
/
v1
/
knowledge-base
/
add-web
Add web pages to the knowledge base
curl --request POST \
--url https://api.peachdeskai.com/api/v1/knowledge-base/add-web \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"<string>"
],
"knowledge_base_id": 123,
"retrieval_mode": "chunked"
}
'import requests
url = "https://api.peachdeskai.com/api/v1/knowledge-base/add-web"
payload = {
"urls": ["<string>"],
"knowledge_base_id": 123,
"retrieval_mode": "chunked"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({urls: ['<string>'], knowledge_base_id: 123, retrieval_mode: 'chunked'})
};
fetch('https://api.peachdeskai.com/api/v1/knowledge-base/add-web', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/knowledge-base/add-web",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'urls' => [
'<string>'
],
'knowledge_base_id' => 123,
'retrieval_mode' => 'chunked'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/knowledge-base/add-web"
payload := strings.NewReader("{\n \"urls\": [\n \"<string>\"\n ],\n \"knowledge_base_id\": 123,\n \"retrieval_mode\": \"chunked\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/knowledge-base/add-web")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"urls\": [\n \"<string>\"\n ],\n \"knowledge_base_id\": 123,\n \"retrieval_mode\": \"chunked\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/knowledge-base/add-web")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"urls\": [\n \"<string>\"\n ],\n \"knowledge_base_id\": 123,\n \"retrieval_mode\": \"chunked\"\n}"
response = http.request(request)
puts response.read_body{
"documents": [
{
"id": 123,
"document_uuid": "<string>",
"filename": "<string>",
"file_size_bytes": 123,
"file_hash": "<string>",
"mime_type": "<string>",
"processing_status": "<string>",
"total_chunks": 123,
"custom_metadata": {},
"docling_metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"organization_id": 123,
"created_by": 123,
"is_active": true,
"processing_error": "<string>",
"retrieval_mode": "chunked",
"source_url": "<string>",
"source_type": "uploaded_file",
"knowledge_base_id": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
SessionAuthApiKeyAuth
Interactive user session: the login JWT, sent as Authorization: Bearer <token>.
Body
application/json
Response
Successful Response
Response schema after enqueuing web-page ingestion.
Show child attributes
Show child attributes

